@import url('/mon-compte/assets/fonts/poppins/font.css');

@font-face {
    font-family: "Brush Script MT";
    src: url('/assets/fonts/Brush_Script_MT_Italic.woff2') format('woff2');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}
:root {
    --basicColor1: #E4226B;
    --basicColor2: #F88118;
    --defautColor1: #E4226B;
    --defautColor4: #ffff;
    --borderGrey: #e0e7ff;
    --borderLightGrey: #e5e7eb;
    --mainShadow: 0 12px 30px rgba(15, 23, 42, 0.08);
    --bg-page: #f3f4f6;
    --colorText: #323232FF;
    --basicWhite: #ffff;
    --basicBlack: #1F1F1F;
    --basicColorLight: #cccccc;
    --smallRadius: 10px;
    --mediumRadius: 20px;
    --basicRadius: 30px;
    --defaultSpacing: calc(1em);
    --success: #28a745;
    --info: #17a2b8;
    --warning: #ffc107;
    --danger: #dc3545;
    --successOpacity: rgba(40, 167, 69, 0.2);
    --warningOpacity: rgba(255, 193, 7, 0.2);
    --dangerOpacity: rgba(220, 53, 69, 0.2);
    font-size: 20px;
}

body * {
    margin: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body {
    color: var(--basicBlack);
    max-width: 1500px;
    -webkit-box-shadow: 0px 0px 42px 44px rgba(0, 0, 0, 0.09);
    box-shadow: 0px 0px 42px 44px rgba(0, 0, 0, 0.09);
    min-height: 100dvh;
    display: flex;
    flex-direction: column;
    margin: 0 auto !important;
    height: auto;
    font-size: 1em !important;
    /*justify-content: center;*/
}


body > section{
    min-height: 100dvh;
}

h1, h2, h3, h4, h5, h6{
    line-height: 1;
    font-size: .75em;
}

a {
    text-decoration: none;
    font-size: 1em;
    font-weight: 400;
}

p {
    font-weight: 400;
}

p, a{
    font-size: .75em;
}

b {
    font-weight: 600;
}

.bigSpacing {
    padding: var(--defaultSpacing)
}

.bigSpacingSide {
    padding: 0 var(--defaultSpacing)
}

.uniformSpacing {
    max-width: 1720px;
    width: 100%;
    margin: 0 auto;
}

.marginCenter {
    margin: 0 auto;
}

h1, h2, h3, h4, h5, h6 {
    line-height: 1.1;
    font-weight: 400;
}

p, span {
    font-weight: 400;
}

.black {
    font-weight: 900;
}

.bold {
    font-weight: 700;
}

.semiBold, .semiBold * {
    font-weight: 600;
}

strong {
    font-weight: 600;
}

.regular {
    font-weight: 400;
}

.medium {
    font-weight: 500;
}

.light {
    font-weight: 300;
}

.extraLight {
    font-weight: 200;
}

.size80{
    font-size: 4em;
}

.size60 {
    font-size: 3em;
}

.size40 {
    font-size: 2em;
}

.size30 {
    font-size: 1.5em;
}

.size20 {
    font-size: 1em;
}

.size15 {
    font-size: .75em;
}

.size12 {
    font-size: .6em;
}

.size10 {
    font-size: .5em;
}

.brushFont {
    font-family: "Brush Script MT", cursive !important;
    line-height: 1.1;
}

.upper {
    text-transform: uppercase;
}

.taj {
    text-align: justify;
}

.tac {
    text-align: center;
}

.tal {
    text-align: left;
}

.tar {
    text-align: right;
}

.relative {
    position: relative
}

.bgImg {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.afterFilter, .afterFilter * {
    position: relative;
    z-index: 10;
}

.afterFilter:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background-color: black;
    opacity: .5;
}

.radius {
    border-radius: var(--basicRadius);
}

.mediumRadius {
    border-radius: var(--mediumRadius);
}

.smallRadius {
    border-radius: var(--smallRadius);
}

.activeLink {
    color: var(--basicColor1);
}

.activeLink svg * {
    fill: var(--basicColor1);
}

.colorWhite{
    color: var(--basicWhite);
}

.bgWhite {
    background-color: var(--basicWhite);
}

.fillWhite * {
    fill: var(--basicWhite);
}

.colorBlack {
    color: var(--basicBlack);
}

.bgBlack {
    background-color: var(--basicBlack);
}

.fillBlack * {
    fill: var(--basicBlack);
}

.colorPink{
    color: var(--basicColor1);
}

.bgPink {
    background-color: var(--basicColor1);
}

.fillPink * {
    fill: var(--basicColor1);
}

.colorGreen{
    color: var(--success);
}

.fillGreen path {
    fill: var(--success);
}

.colorGreen.opacityBg {
    background-color: var(--successOpacity);
}

.bgGreen {
    background-color: var(--success);
}

.colorOrange {
    color: var(--warning);
}

.fillOrange path {
    fill: var(--warning);
}

.colorOrange.opacityBg {
    background-color: var(--warningOpacity);
}

.colorRed {
    color: var(--danger);
}

.fillRed path {
    fill: var(--danger);
}

.colorRed.opacityBg {
    background-color: var(--dangerOpacity);
}

.opacityBg{
    padding: .25em .5em;
    border-radius: 30px;
}

.w100 {
    width: 100% !important;
}

.mainLink{
    display: flex;
    gap: .5em;
    align-items: flex-end;
}


.mainLink.center {
    display: flex;
    justify-content: center;
    width: 100%;
}

.mainLink.end {
    display: flex;
    justify-content: flex-end;
    width: 100%;
}

.mainLink > a,
.mainLink > input{
    padding: .5em 1em;
    gap: 0;
    border-radius: var(--smallRadius);
    align-items: center;
    width: fit-content;
    cursor: pointer;
    transition: ease all .3s;
    border: none;
    position: relative;
    min-height: fit-content;
}

.mainLink a.bgWhite,
.mainLink input.bgWhite{
    border: 1px solid var(--basicBlack);
}

.mainLink a.bgWhite.colorPink,
.mainLink input.bgWhite.colorPink{
    border: 1px solid var(--basicColor1);
}


.hidden {
    display: none !important;
}

input,
select,
textarea{
    width: 100%;
    background-color: transparent;
    border: 1px solid #C1C1C1;
    border-radius: var(--smallRadius);
    padding: .5em 1em;
    font-size: .75em;

}

input:has(+ span svg),
input:has(+ svg){
    padding: .5em .5em .5em 2.5em;
}

input + span svg,
input + svg {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 100%;
    width: auto;
    padding: .5em;
}

input:disabled {
    background-color: #f4f4f4;
    cursor: not-allowed;
    color: initial;
    opacity: initial;
}


.treatmentNotification {
    color: white;
    padding: .5em;
    position: fixed;
    top: .5em;
    right: 0;
    z-index: 100;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 1em;
    border-radius: 0.25rem;
    height: fit-content;


}
.treatmentNotification.success {
    background-color: var(--success);
}
.treatmentNotification.error {
    background-color: var(--danger);
}
.treatmentNotification.warning {
    background-color: var(--warning);
}
.treatmentNotification.info {
    background-color: var(--info);
}
.treatmentNotification svg {
    fill: #FFF;
}
.treatmentNotification span {
    font-size: .75em !important;
}

.treatmentNotification .treatmentSuccess{
    display: flex;
    flex-direction: column;
    bottom: initial !important;
    top: .5em;
    margin: 0 .5em !important;
}

/* START formByJson */
.formByJson{
    margin: 0 !important;
}

.formByJson form{
    display: flex;
    flex-direction: column;
    gap: .5em;
    margin: 0;
}

.formByJson form > section{
    display: flex;
    flex-direction: column;
    gap: .5em;
    box-shadow: 0px 3px 6px #00000029;
    padding: .75em;
    border-radius: var(--smallRadius);
    margin: 0;
}

.formByJson form > section h1{
    font-size: .75em;
    font-weight: 700;
    color: var(--basicColor1);
}

.formByJson form > section label{
    margin: 0 !important;
}

.formByJson form> section:not(.Descriptions) label:not(.schedules, .draggable) > div,
.formByJson form> section .schedulesContainer .day .titleDay p,
.formByJson form .schedulesContainer .day .scheduleList .scheduleLine,
.formByJson form .Descriptions > label,
.formByJson form .ck.ck-button .ck-button__label{
    font-size: .75em !important;
}


.formByJson form .selectToTag .containerSelectToTag svg{
    background-color: var(--basicColor1) !important;
    left: initial;
    right: 4px;
    height: calc(100% - 8px);
}

.selectToTag .containerDataSelectToTag div{
    background-color: var(--basicColor1) !important;
    color: var(--basicWhite) !important;
    border: 1px solid var(--basicColor1) !important;
    border-radius: var(--smallRadius) !important;
}

.formByJson form .schedulesContainer .day .titleDay{
    gap: .5em !important;
}
.formByJson form .schedulesContainer, .datesContainer{
    gap: .5em !important;
}

.formByJson form .schedulesContainer .day .scheduleList,
.formByJson form .schedulesContainer .day{
    gap: .25em !important;
}

.formByJson form .schedulesContainer .day span,
.formByJson form .datesContainer .dateLine span,
.formByJson form .periodsContainer .periodBlock span{
    display: flex;
}

.formByJson form .schedulesContainer .day svg,
.formByJson form .datesContainer .dateLine svg,
.formByJson form .periodsContainer .periodBlock svg{
    width: .75em !important;
    height: .75em !important;
}

.formByJson form .schedulesContainer .day span.bold{
    font-weight: 400 !important;
}

.formByJson form .ck.ck-dropdown .ck-dropdown__panel.ck-dropdown__panel_ne{
    max-height: 8em;
    overflow-y: auto;
}

.formByJson form .imgContainer{
    margin: .5em 0 !important;
}

.formByJson form .imgContainer input[type='text']{
    display: none;
}

.formByJson form .draggable > div{
    position: relative;
    display: flex;
}

.formByJson form .draggable > div:before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 0, 0, 0.3);
    border-radius: 30px;
    opacity: 0;
    transition: ease all .3s;
}

.formByJson form .draggable:hover > div:before{
    opacity: 1;
}

.formByJson form .draggable > div .svgTrash{
    background-color: initial !important;
    width: 60% !important;
    height: auto !important;
    border: initial !important;
    border-radius: initial !important;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%);
}

.tagListe .tag{
    font-size: .75em !important;
    padding: .5em 1em !important;
    border-radius: var(--smallRadius) !important;
    display: none;
}

/* COOKIES */

.acceptCookies .containerTitle h2{
    font-size: 1em !important;
}
.acceptCookies p{
    font-size: .75em !important;
}

.acceptCookies.active{
    max-width: calc(100% - 2em) !important;

}